Issue840

Title move "this is a summary ..." link to full license (and disclaimer) to top of deed (just below logo/license name)
Priority feature Status resolved
Project License Deeds Milestone
Superseder Nosy List alex, cwebber, mlinksva
Assigned To cwebber Keywords

Created on 2011-05-04.04:40:18 by mlinksva, last changed 2011-05-27.16:27:17 by cwebber.

Files
File name Uploaded Type Edit Remove
Screen shot 2011-05-03 at 4.32.54 PM.png alex, 2011-05-04.16:30:34 image/png
unnamed alex, 2011-05-16.20:10:03 text/html
unnamed alex, 2011-05-16.21:00:03 text/html
unnamed alex, 2011-05-16.22:20:02 text/html
unnamed mlinksva, 2011-05-17.04:10:02 text/html
unnamed alex, 2011-05-18.19:30:03 text/html
unnamed alex, 2011-05-18.19:50:03 text/html
unnamed alex, 2011-05-18.21:10:03 text/html
unnamed alex, 2011-05-18.22:30:02 text/html
Messages
msg3057 (view) Author: cwebber Date: 2011-05-27.16:27:16
This is done, live, and everyone is happy.
msg3054 (view) Author: cwebber Date: 2011-05-26.21:07:56
Everything done.  Time to move to a glorious new future of legalcode notices on
the top of deeds?  Mike?
msg3052 (view) Author: mlinksva Date: 2011-05-21.05:20:12
One thing still missing:

"to make commercial use of the work" added to freedoms
msg3047 (view) Author: cwebber Date: 2011-05-19.21:31:09
Mike, is there still that issue?  It looks fine here.

I don't know what's left to be done but afaict I've done what I need to... let
me know when it's okay for me to deploy this.
msg3046 (view) Author: cwebber Date: 2011-05-19.19:11:39
The disclaimer popup should work again.
msg3045 (view) Author: mlinksva Date: 2011-05-18.22:36:31
Alex, still width issue with disclaimer, see
http://staging.creativecommons.org/licenses/by-sa/3.0/deed.de
msg3044 (view) Author: cwebber Date: 2011-05-18.22:32:11
Yikes, okay, rolling back.  Made a "rollback" branch we'll sit on now instead of
master on the main site for the moment, rolled back svn.
msg3043 (view) Author: alex Date: 2011-05-18.22:30:02
Fixed those disclaimer issues on staging.
msg3042 (view) Author: mlinksva Date: 2011-05-18.22:03:32
Another small thing -- "disclaimer" is a few pixels beneath level of full
license sentence first line, which looks weird.

I think there are enough small issues that this should be rolled back on
production, worked out on staging.
msg3041 (view) Author: mlinksva Date: 2011-05-18.21:59:24
Also is the legalcode/disclaimer box height hardcoded? I get a scrollbar on
http://creativecommons.org/licenses/by-sa/3.0/deed.ka
msg3040 (view) Author: mlinksva Date: 2011-05-18.21:58:19
(that said maybe there shouldn't be bullets in front of freedoms; looks pretty
clean without)
msg3039 (view) Author: mlinksva Date: 2011-05-18.21:57:51
also commerical use freedom not added
no bullets in front of freedoms
msg3038 (view) Author: mlinksva Date: 2011-05-18.21:56:46
I don't think this was quite ready to push to production. Anyway, a couple issues:

* Disclaimer link doesn't work for me (FF4)
* Disclaimer box size hardcoded? Check out
http://creativecommons.org/licenses/by-sa/3.0/deed.de
msg3037 (view) Author: cwebber Date: 2011-05-18.21:44:02
Great, okay!  Done :)
msg3036 (view) Author: alex Date: 2011-05-18.21:10:03
The Disclaimer link in the new box should have class="disclaimer" instead of
id="disclaimer"

On Wed, May 18, 2011 at 1:41 PM, Christopher Webber <
issues@creativecommons.org> wrote:
msg3035 (view) Author: cwebber Date: 2011-05-18.20:41:58
I pushed it live then noticed that this looks wrong.

http://creativecommons.org/licenses/by/3.0/

Alex: It looks like in fixing the disclaimer alignment on the public domain
dedication that broke the disclaimer on the new style changes, maybe? :)
msg3034 (view) Author: cwebber Date: 2011-05-18.20:41:56
I pushed it live then noticed that this looks wrong.

http://creativecommons.org/licenses/by/3.0/

Alex: It looks like in fixing the disclaimer alignment on the public domain
dedication that broke the disclaimer on the new style changes, maybe? :)
msg3033 (view) Author: alex Date: 2011-05-18.19:50:03
Merged and updated on production.

On Wed, May 18, 2011 at 12:26 PM, Christopher Webber <
issues@creativecommons.org> wrote:
msg3032 (view) Author: alex Date: 2011-05-18.19:30:03
Fixed disclaimer box color. And disclaimer alignment on PDM.
msg3031 (view) Author: cwebber Date: 2011-05-18.19:26:19
All is done except for the disclaimer alignment and the box color.  Alex, could
you do those, svnmerge, then reassign and I'll deploy?
msg3027 (view) Author: mlinksva Date: 2011-05-17.23:32:42
I liked the grey background for legalcode/disclaimer box in Alex's mockup.
Introducing yet another color (peachy yellow?) looks weird.

PDM disclaimer does need to be re-aligned on bottom

Now empty colored footer on license deeds should go away
msg3026 (view) Author: cwebber Date: 2011-05-17.16:10:39
http://staging.creativecommons.org/licenses/publicdomain/1.0/ shouldn't have
anything though, working to remove that.
msg3025 (view) Author: cwebber Date: 2011-05-17.16:08:58
Done for CC0

http://staging.creativecommons.org/publicdomain/zero/1.0/

public domain mark has no legalcode though, so that text doesn't sensibly belong
on the top so I've kept it at the bottom, but it isn't aligned properly anymore?
msg3024 (view) Author: mlinksva Date: 2011-05-17.04:10:03
On Mon, May 16, 2011 at 3:15 PM, Alex Roberts <alex@creativecommons.org>wrote:

Yep.
msg3021 (view) Author: alex Date: 2011-05-16.22:20:02
- What's happening to the footer in standard deeds?

Remove the text

 - What's happening to the footer in public domain tool deeds?  Especially
am
wondering this because of the "Powered by creative commons" bit everyone was
excited about having in the deed.  Will we just keep that and only that in
the
footer for pd tools?

Leave the graphic, remove the text

 - If we do leave public domain deeds as-is the "disclaimer" bit in CC0 is
now off

I think CC0 should get the same disclaimer treatment as the © licenses.
Mike?

On Mon, May 16, 2011 at 3:10 PM, Christopher Webber <
issues@creativecommons.org> wrote:
msg3020 (view) Author: cwebber Date: 2011-05-16.22:10:00
http://staging.creativecommons.org/licenses/by/3.0/rs/deed.en

Done.

Not working yet though on non-standard deeds, for example:

http://staging.creativecommons.org/publicdomain/zero/1.0/

Things I wonder about:
 - What's happening to the footer in standard deeds?
 - What's happening to the footer in public domain tool deeds?  Especially am
wondering this because of the "Powered by creative commons" bit everyone was
excited about having in the deed.  Will we just keep that and only that in the
footer for pd tools?
 - If we do leave public domain deeds as-is the "disclaimer" bit in CC0 is now off
msg3017 (view) Author: alex Date: 2011-05-16.21:00:03
Thanks, updated the CSS to fit.

On Mon, May 16, 2011 at 1:43 PM, Christopher Webber <
issues@creativecommons.org> wrote:
msg3016 (view) Author: cwebber Date: 2011-05-16.20:43:24
http://staging.creativecommons.org/licenses/by/3.0/rs/deed.en

bumped straight outta' the box :O
msg3015 (view) Author: alex Date: 2011-05-16.20:10:03
I would like to say same text, but wow, that's some verbose language on that
Serbian one. If we can't change, I may have to adjust how that banner is
marked up.

On Mon, May 16, 2011 at 12:49 PM, Christopher Webber <
issues@creativecommons.org> wrote:
msg3013 (view) Author: cwebber Date: 2011-05-16.19:49:05
http://staging.creativecommons.org/licenses/by-sa/3.0/

quick test, not really properly set, and I have some questions.

On some licenses there are multiple language versions of the license, eg on:
http://creativecommons.org/licenses/by/3.0/rs/deed.en

there are multiple languages listed for the legalcode at the bottom.  How to
format things here?  Same text as before?
msg3001 (view) Author: cwebber Date: 2011-05-04.21:25:54
claimed :)
msg3000 (view) Author: cwebber Date: 2011-05-04.21:23:22
Sounds great.  Should I claim this then?
msg2999 (view) Author: alex Date: 2011-05-04.20:31:34
Updated deed css, fixed Freedoms styling 
(http://staging.creativecommons.org/licenses/by-sa/3.0/). The commercial use 
bullet is presumably set in the template or cc.engine settings, Chris should 
know how all of that is set up. :)

HTML for the disclaimer bar to be placed directly between '<div id="deed-main" 
style="text-align: left" dir="ltr">' and '<div id="deed-main-content">':

<div id="deed-disclaimer">
  <div class="summary">This is a human-readable summary of <a href="#">the full 
license</a>.</div>
  <div class="disclaimer"><a href="#">Disclaimer</a></div>
</div>

Adjust links and text to taste. CSS may need some further tweaking after this is 
up on staging, for browsers that aren't Firefox or Webkit.
msg2997 (view) Author: mlinksva Date: 2011-05-04.16:33:27
I noticed the screenshot doesn't convert freedoms icons to bullets and add the
commercial use freedom bullet. Please make sure to make those changes on staging
too.
msg2996 (view) Author: alex Date: 2011-05-04.16:30:34
No, here!
msg2995 (view) Author: alex Date: 2011-05-04.16:29:50
I'll go ahead and update the necessary CSS, and hand off the HTML to Chris.

Attached a screenshot of the change here.
msg2994 (view) Author: mlinksva Date: 2011-05-04.04:40:17
Couple thoughts after looking at old versions of deeds prior to panel
on "legal user interfaces":

We got rid of noting "to make commercial use of the work" along with
share and remix freedoms in late 2006. I thought this was in order to
avoid icon overload (we previously just had three bullets under
freedoms; now share&remix have icons), but the share&remix icons
weren't introduced until early 2007. I think we were better off
without the share&remix icons, and with noting commercial use. The
icons aren't particularly meaningful and don't appear anywhere else,
the words are clear, and being able to use commercially is a pretty
big deal (and it is noted on the CC0 deed). I think we should go back
to three bullets, no icons, under freedoms..

The most frequent criticism (or maybe criticisms) of the deeds seems
to be that they don't adequately reflect what's in the licenses or
make it less likely one will read and really understand the licenses.
It seems we could do something really simple to address the second --
move the "This is a human-readable summary of the Legal Code (the full
license). / Disclaimer" bar to the top of the deed, or just below the
logo/license name. Possibly slightly uglier, but no longer buries
arguably the most important part of the page.

...

Alex has a mockup of this. I'm not sure whether implementation should be
assigned to Chris or Alex; please one of you claim it.
History
Date User Action Args
2011-05-27 16:27:17cwebbersetstatus: chatting -> resolved
messages: + msg3057
2011-05-26 21:07:56cwebbersetmessages: + msg3054
2011-05-21 05:20:22mlinksvasetassignedto: alex -> cwebber
2011-05-21 05:20:13mlinksvasetmessages: + msg3052
2011-05-19 21:31:09cwebbersetmessages: + msg3047
2011-05-19 19:11:40cwebbersetmessages: + msg3046
2011-05-18 22:36:31mlinksvasetmessages: + msg3045
2011-05-18 22:32:11cwebbersetmessages: + msg3044
2011-05-18 22:30:02alexsetfiles: + unnamed
messages: + msg3043
2011-05-18 22:03:32mlinksvasetmessages: + msg3042
2011-05-18 21:59:24mlinksvasetmessages: + msg3041
2011-05-18 21:58:19mlinksvasetmessages: + msg3040
2011-05-18 21:57:51mlinksvasetmessages: + msg3039
2011-05-18 21:56:46mlinksvasetstatus: resolved -> chatting
messages: + msg3038
2011-05-18 21:44:02cwebbersetstatus: in-progress -> resolved
messages: + msg3037
2011-05-18 21:10:03alexsetfiles: + unnamed
messages: + msg3036
2011-05-18 20:41:58cwebbersetmessages: + msg3035
2011-05-18 20:41:56cwebbersetmessages: + msg3034
2011-05-18 19:50:03alexsetfiles: + unnamed
messages: + msg3033
2011-05-18 19:30:03alexsetfiles: + unnamed
messages: + msg3032
2011-05-18 19:26:19cwebbersetassignedto: cwebber -> alex
messages: + msg3031
2011-05-17 23:32:42mlinksvasetmessages: + msg3027
2011-05-17 16:10:39cwebbersetmessages: + msg3026
2011-05-17 16:09:00cwebbersetmessages: + msg3025
2011-05-17 04:10:04mlinksvasetfiles: + unnamed
messages: + msg3024
2011-05-16 22:20:02alexsetfiles: + unnamed
messages: + msg3021
2011-05-16 22:10:00cwebbersetmessages: + msg3020
2011-05-16 21:00:03alexsetfiles: + unnamed
messages: + msg3017
2011-05-16 20:43:24cwebbersetmessages: + msg3016
2011-05-16 20:10:03alexsetfiles: + unnamed
messages: + msg3015
2011-05-16 19:49:05cwebbersetmessages: + msg3013
2011-05-04 21:25:54cwebbersetmessages: + msg3001
2011-05-04 21:25:44cwebbersetassignedto: alex -> cwebber
2011-05-04 21:23:22cwebbersetmessages: + msg3000
2011-05-04 20:31:34alexsetmessages: + msg2999
2011-05-04 16:33:27mlinksvasetmessages: + msg2997
2011-05-04 16:30:34alexsetfiles: + Screen shot 2011-05-03 at 4.32.54 PM.png
messages: + msg2996
2011-05-04 16:29:50alexsetstatus: unread -> in-progress
assignedto: alex
messages: + msg2995
2011-05-04 04:40:18mlinksvacreate